
FWG Internal - Bug #23845

FWG: Staging: Web App: Dashboard: Port. 52 W L Rise should never be 0.

February 25, 2025 08:02 AM - Palash Tembhurnekar

Status: Closed Start date: February 25, 2025

Priority: Normal Due date:  

Assignee: Dinesh Pedagada % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:  Spent time: 0:00 hour

Description

On Dashboard screen the Port. 52 W L Rise should never be 0. Here share the note why it is happening?

History

#1 - February 26, 2025 03:19 PM - Dinesh Pedagada

Portfolio 3-Month Price Movement, the calculation compares the average latest value and average past value based on the most recent date and

the date 90 days prior. If data from 90 days before is unavailable, the past value is considered zero, which leads to division by zero, resulting in

an infinite or undefined value. To mitigate this, if the computed value is infinite, undefined, or zero, it is displayed as zero. If valid data is available

in the database, the calculation is performed as per the formula, and the resulting value is displayed.

Portfolio 52-Week High Drop, the formula fetches the maximum extValueCr over the last 365 days. If the maximum value is greater than zero,

the calculation proceeds normally, and the result is displayed. However, if the maximum value is zero, dividing the total sum by zero would result

in an infinite or undefined value. To handle this, if the computed value is infinite, undefined, or zero, it is displayed as zero to ensure accuracy

and consistency in the results.

Portfolio 52-Week Low Rise, the formula identifies the minimum extValueCr over the last 365 days. If the minimum value found is zero, dividing

the total sum by zero results in an infinite or undefined value. To prevent this issue, if the computed value is infinite, undefined, or zero, it is

displayed as zero. However, if a valid minimum value greater than zero exists, the calculation proceeds as per the formula, and the computed

result is displayed accordingly.

#2 - February 26, 2025 03:19 PM - Dinesh Pedagada

- Status changed from New to In Progress

#3 - February 27, 2025 04:42 AM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#4 - February 28, 2025 06:13 AM - Palash Tembhurnekar

Verified in staging web app, now on the dashboard for In both Portfolio ie. Port 1 & Port 2 its displaying the proper data of 52 W L Rise which is not

less that 0-  Done, marking it as closed

#5 - February 28, 2025 06:13 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed
